<?php

namespace App\Classes\Notifications;


use App\Models\PackingList;
use App\Models\PasswordReset;
use App\Models\User;
use Illuminate\Notifications\Messages\MailMessage;

class ShipmentRescheduleEmail extends AbstractEmail
{

    /** @var User */
    private $user;

    /** @var PackingList */
    private $packingList;

    /**
     * @param User $user
     * @param PackingList $packingList
     */
    public function __construct(User $user, PackingList $packingList)
    {
        $this->user = $user;
        $this->packingList = $packingList;
    }


    public function toMail()
    {
        return (new MailMessage)
            ->subject('Update on your recent shipment(s)')
            ->bcc(['email_test@cief-malaysia.com'])->view('emails.shipment.reschedule', ['user' => $this->user, 'packingList' => $this->packingList]);
    }


}
